### A free/open-source library for quantitative finance

Public Member Functions
BlackKarasinski::Dynamics Class Reference

Short-rate dynamics in the Black-Karasinski model. More...

`#include <ql/models/shortrate/onefactormodels/blackkarasinski.hpp>`

Inheritance diagram for BlackKarasinski::Dynamics:
[legend]

List of all members.

## Public Member Functions

| Dynamics (const Parameter &fitting, Real alpha, Real sigma)
Real | variable (Time t, Rate r) const
| Compute state variable from short rate.
Real | shortRate (Time t, Real x) const
| Compute short rate from state variable.

## Detailed Description

Short-rate dynamics in the Black-Karasinski model.

The short-rate is here

where is the deterministic time-dependent parameter (which can not be determined analytically) used for term-structure fitting and is the state variable following an Ornstein-Uhlenbeck process.